summaryrefslogtreecommitdiff
path: root/tests/cp/backup-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/backup-1')
-rwxr-xr-xtests/cp/backup-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/backup-1 b/tests/cp/backup-1
index a5bfee603..3116dd165 100755
--- a/tests/cp/backup-1
+++ b/tests/cp/backup-1
@@ -6,8 +6,8 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0